﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Spire.Doc;
using Spire.Doc.Fields;
using Spire.Doc.Collections;
using Spire.Doc.Interface;

namespace SetTableColumnWidth
{
    class Program
    {
        static void Main(string[] args)
        {
            Document doc = new Document();
            doc.LoadFromFile(@"..\..\sample2.doc", FileFormat.Doc);
            ITable table = doc.Sections[0].Tables[0];
            for (int i = 0; i < table.Rows.Count;i++ )
            {
                for (int j = 0; j < table.Rows[i].Cells.Count;j++ )
                {
                    table.Rows[i].Cells[j].Width = 120;
                }
            }

            doc.SaveToFile(@"..\..\Test.docx",FileFormat.Docx);
            System.Diagnostics.Process.Start(@"..\..\Test.docx");
        }
    }
}
